Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001460SpeedFanOtherpublic2009-08-26 16:132010-12-20 14:07
Reporternorman02us 
Assigned Toalfredo 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSVista 64bitOS Version6000
Product Version 
Target VersionFixed in Version4.43 beta 
Summary0001460: Speedfan very slow at startup
DescriptionBecause Speedfan scans so much hardware every time it starts, the startup is extremely slow (compared to other applications). Alfredo, it would be great if the hardware would only be scanned the first time with the addition of a button to rescan the hardware if needed.

There could also be an option to select wether Speedfan should scan all hardware every time or use the procedure that I described above.
TagsNo tags attached.
Motherboard ModelGigabyte EP45-UD3P
Video Card Model8800 GTS 320 MB (G80)
Attached Filescsv file icon Speedfan.csv [^] (10,117 bytes) 2009-09-06 22:23
xls file icon Speedfan.xls [^] (147,968 bytes) 2009-09-06 22:28
? file icon debug.nfo [^] (115,431 bytes) 2010-12-13 10:47
csv file icon SFLog20101213.csv [^] (191 bytes) 2010-12-13 10:47
? file icon debug new beta costinel.nfo [^] (114,569 bytes) 2010-12-20 10:43

- Relationships

-  Notes
(0004965)
alfredo (manager)
2009-08-26 17:31

Mail me DEBUG.NFO file. I will look at it.
(0004966)
alfredo (manager)
2009-08-26 18:51

SpeedFan's startup timings on your system are:
- detection of ISA and SMBus sensors: 2 secs
- detection of SMART and SCSI hard disks: 9 secs
- CPU identification: 1 sec
I don't think there is much I can do here. Most of the time is spent querying WMI about hard disks setup.
(0004967)
norman02us (reporter)
2009-08-26 19:54

Shouldn't starting Speedfan without admin-privileges eliminate the middle part (9 sec)?
(0004970)
alfredo (manager)
2009-08-27 14:10

WMI is queried even if you do not have full admin rights. I think that most of the time is spent my the WMI subsystem to prepare the query.
(0004972)
norman02us (reporter)
2009-08-27 14:19

Blabla full admin rights. I think most of the time is spent blabla. That's what I understand reading your answer :-)
(0004973)
alfredo (manager)
2009-08-27 15:27

Would you like me to to add a few technical details more? :-)
(0004974)
norman02us (reporter)
2009-08-27 15:27
edited on: 2009-08-27 15:28

Yes, please :-)

(0004975)
alfredo (manager)
2009-08-27 16:28

Jokes apart, I'm afraid that the delay is caused by something that is outside my control. I will try and see if I can find some alternate request that requires less time for an answer.
(0004977)
norman02us (reporter)
2009-08-27 18:01

I could also check the individual IOs and find out what takes that long, but not before next week.
(0004993)
norman02us (reporter)
2009-09-06 22:23

Hey Alfredo,

maybe the two attached files shed some light on the issue.
(0004995)
petrossa (reporter)
2009-09-07 19:02

mailing you my debug.nfo, on my system it takes a very long time to finalize.
(0005037)
yucker (reporter)
2009-11-19 12:28

I've just emailed Alfredo my debug.nfo as well, for the same reason.
(0005495)
costinel (reporter)
2010-12-13 10:43

is there a way to skip hdd detection COMPLETELY? i monitor disks with other utilities. startup is about 30 seconds ...
and also is there a way to "remember" last settings rather than re-scan?
using windows xp and latest release.
(0005496)
alfredo (manager)
2010-12-13 10:48

@costinel
Please, send me DEBUG.NFO from SpeedFan's directory and I will see what's causing the slow startup.
By the way, why aren't you monitoring your hard disks with SpeedFan?
(0005497)
costinel (reporter)
2010-12-13 10:52

Alfredo, I have attached the debug.nfo here, would you prefer it over email?
I prefer to use the right tool for right purpose: monitor drives with smartmontools (there is a win32 version), hardware temperatures and fan control with speedfan :) ;)
(0005498)
alfredo (manager)
2010-12-13 11:07

@costinel
Please, use /NOSCSISCAN command line parameter. It should save 7 seconds.
With SpeedFan you can use EVENTS to identify HD issues. I used smartmontools, but I didn't know that there was some kind of UI or of background service that could send notifications.
(0005500)
petrossa (reporter)
2010-12-13 11:41

7 seconds..... It takes about 2 minutes on my pc to come up. In the mean time it blocks something since my system responds slow but my CPU load is low.
For the rest it works without problems. Great app, pity about the load time. But since normally i enter s3 state it's not that bothersome.
(0005501)
alfredo (manager)
2010-12-13 11:41

@petrossa
Yes, please, send me your DEBUG.NFO.
(0005502)
petrossa (reporter)
2010-12-13 12:44

Here you go: http://dl.dropbox.com/u/1828618/debug.nfo [^]
(0005503)
costinel (reporter)
2010-12-13 13:16

Alfredo, I've added the cli parameter however, as petrossa said, the system is still close to non-responsiveness during startup.
Modifying sf code to just remember last state would be difficult?

Anyway, I don't reboot often but today I just am in a need to frequent reboot so I remembered to write you about this :)
(0005504)
norman02us (reporter)
2010-12-13 20:47

2 minutes? Speedfan usually takes 10 seconds to load.
(0005505)
petrossa (reporter)
2010-12-14 09:02

Well you can see in my debug.nfo..... On a cold start it's about 2 minutes, on resume from s3 it's indeed something like 10 secs. It's doing something here:

11/12/2010 12:25:13 - WBEM Locator creation took 221 ms to execute
11/12/2010 12:27:56 - Server Connect took 162902 ms to execute
11/12/2010 12:27:58 - Find USB Controllers took 2652 ms to execute
11/12/2010 12:27:58 - DeviceID=PCI\VEN_1002&DEV_4386&SUBSYS_81EF1043&REV_00\3&18D45AA6&0&9D
11/12/2010 12:27:58 - Name=Standard Enhanced PCI to USB Host Controller
11/12/2010 12:28:01 - Find USB Controllers' Associators took 2447 ms to execute

That's pretty long.
(0005507)
norman02us (reporter)
2010-12-14 21:22

But you are talking about an entire Windows boot, are you not? I cannot imagine that it takes 2 minutes for Speedfan to start.
(0005508)
petrossa (reporter)
2010-12-15 09:24

Nope. I'm talking about after Explorer started, the speedfan window quickly flashes by as it starts up (sometimes it doesn't minimize and there's no way to close but to end the program via taskmanager but that i guess is a third party fault)

Other apps start to load, when Speedfan contests something else for ownership it seems, since also Windows events show a marked delay in starting services.

When Explorer is fully loaded, all bells and whistles running, it takes another 30-60 secs before the CPU temp appears in the taskbar. Till then it's just the speedfan icon.
(0005525)
alfredo (manager)
2010-12-19 11:50

Hello, I am working on a new beta that should reduce startup time.
If you want to give it a try, feel free to contact me by email.
(0005526)
petrossa (reporter)
2010-12-19 12:43

I'm feeling free today ;) email sent.
(0005527)
alfredo (manager)
2010-12-19 13:03

@petrossa beta sent :-)
(0005529)
costinel (reporter)
2010-12-19 17:50

Alfredo, I would like to test this build, too, please.
The email used to register on the bugzilla is ok.
(0005530)
alfredo (manager)
2010-12-19 18:05

@costinel
I can't easily access your email. Could you contact me at alfredo [at] almico.com?
(0005531)
alfredo (manager)
2010-12-19 19:58

@costinel
@petrossa
I just sent you the latest beta.
(0005532)
alfredo (manager)
2010-12-19 20:40

@petrossa
The delay you highlighted is due to Windows itself. All that SpeedFan does is to contact WMI on the "local server" (your local pc).
(0005535)
costinel (reporter)
2010-12-20 10:42

Hi Alfredo,
attached the debug.nfo
I notice no difference. Also forgot to mention that during initialization, SF window is frozen and only scanning text log scrolls in the window... more if i alt-tab then the sf window goes completely white (times out communicating with window manager)
(0005537)
alfredo (manager)
2010-12-20 10:59

@costinel
According to your first DEBUG.NFO, SpeedFan took 24 seconds to reach "End of SCSI detection". The latest beta took 10 seconds. I consider this a good result. Don't you agree?
(0005538)
costinel (reporter)
2010-12-20 11:15

I think I was comparing (beta without /NOSCSISCAN) to (stable with /NOSCSISCAN)
Actually is irelevant how long does it take to initialize, as long as it does not disturb other programs and does not slows down the rest of the system. Can the hdd scan part be disabled completely and put the rest of the scan in some background/low priority method?
(0005539)
alfredo (manager)
2010-12-20 11:27

If /NOSCSISCAN was used the way you say, then the performance of the latest beta would be even better than I expected, but I think that both tests were performed without that switch.
I agree on the fact that SpeedFan's startup time is not that relevant as it is the kind of application that you start and forget.
SpeedFan does its best to release time slices to other programs running. It may be unresponsive on program start, but it shouldn't hog the system. If it does, it's actually Windows that is taking its time to answer SpeedFan.
"/NOSMARTSCAN /NOADVSMARTSCAN /NOSCSISCAN" should completely disable HD access.
(0005540)
petrossa (reporter)
2010-12-20 12:01

The latest beta is now at 99 seconds if i discount the timeout for the WMIserver. The startuptime when system is up and running and after speedfan has ran/quit is 79 seconds.

The cpuload is 1% overall.

I can live with that.
(0005541)
alfredo (manager)
2010-12-20 12:09

@petrossa
I just sent you another beta. It should take even less time to start than the previous beta.
(0005542)
alfredo (manager)
2010-12-20 14:07

@petrossa
Very good. Now most of the delay is caused by a call to WMI that on almost every computer takes next to no time.
What's more important is that SpeedFan doesn't go to 100% while starting.

- Issue History
Date Modified Username Field Change
2009-08-26 16:13 norman02us New Issue
2009-08-26 16:13 norman02us Status new => assigned
2009-08-26 16:13 norman02us Assigned To => alfredo
2009-08-26 16:13 norman02us Motherboard Model => Gigabyte EP45-UD3P
2009-08-26 16:13 norman02us Video Card Model => 8800 GTS 320 MB (G80)
2009-08-26 17:31 alfredo Note Added: 0004965
2009-08-26 17:31 alfredo Status assigned => acknowledged
2009-08-26 18:51 alfredo Note Added: 0004966
2009-08-26 19:54 norman02us Note Added: 0004967
2009-08-27 14:10 alfredo Note Added: 0004970
2009-08-27 14:19 norman02us Note Added: 0004972
2009-08-27 15:27 alfredo Note Added: 0004973
2009-08-27 15:27 norman02us Note Added: 0004974
2009-08-27 15:28 norman02us Note Edited: 0004974
2009-08-27 16:28 alfredo Note Added: 0004975
2009-08-27 18:01 norman02us Note Added: 0004977
2009-09-06 22:23 norman02us Note Added: 0004993
2009-09-06 22:23 norman02us File Added: Speedfan.csv
2009-09-06 22:28 norman02us File Added: Speedfan.xls
2009-09-07 19:02 petrossa Note Added: 0004995
2009-11-19 12:28 yucker Note Added: 0005037
2010-12-13 10:43 costinel Note Added: 0005495
2010-12-13 10:47 costinel File Added: debug.nfo
2010-12-13 10:47 costinel File Added: SFLog20101213.csv
2010-12-13 10:48 alfredo Note Added: 0005496
2010-12-13 10:52 costinel Note Added: 0005497
2010-12-13 11:07 alfredo Note Added: 0005498
2010-12-13 11:37 petrossa Note Added: 0005499
2010-12-13 11:37 petrossa Note Deleted: 0005499
2010-12-13 11:41 petrossa Note Added: 0005500
2010-12-13 11:41 alfredo Note Added: 0005501
2010-12-13 12:44 petrossa Note Added: 0005502
2010-12-13 13:16 costinel Note Added: 0005503
2010-12-13 20:47 norman02us Note Added: 0005504
2010-12-14 09:02 petrossa Note Added: 0005505
2010-12-14 21:22 norman02us Note Added: 0005507
2010-12-15 09:24 petrossa Note Added: 0005508
2010-12-19 11:50 alfredo Note Added: 0005525
2010-12-19 12:43 petrossa Note Added: 0005526
2010-12-19 13:03 alfredo Note Added: 0005527
2010-12-19 17:50 costinel Note Added: 0005529
2010-12-19 18:05 alfredo Note Added: 0005530
2010-12-19 19:58 alfredo Note Added: 0005531
2010-12-19 20:40 alfredo Note Added: 0005532
2010-12-20 10:42 costinel Note Added: 0005535
2010-12-20 10:43 costinel File Added: debug new beta costinel.nfo
2010-12-20 10:59 alfredo Note Added: 0005537
2010-12-20 11:15 costinel Note Added: 0005538
2010-12-20 11:27 alfredo Note Added: 0005539
2010-12-20 12:01 petrossa Note Added: 0005540
2010-12-20 12:09 alfredo Note Added: 0005541
2010-12-20 14:07 alfredo Note Added: 0005542
2010-12-20 14:07 alfredo Status acknowledged => resolved
2010-12-20 14:07 alfredo Resolution open => fixed
2010-12-20 14:07 alfredo Fixed in Version => 4.43 beta


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3985 seconds.
memory usage: 8,375 KB
Powered by Mantis Bugtracker